'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Button = function (_React$PureComponent) {
  _inherits(Button, _React$PureComponent);

  function Button() {
    _classCallCheck(this, Button);

    return _possibleConstructorReturn(this, (Button.__proto__ || Object.getPrototypeOf(Button)).apply(this, arguments));
  }

  _createClass(Button, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          onClick = _props.onClick,
          submit = _props.submit,
          disabled = _props.disabled,
          children = _props.children,
          type = _props.type,
          shadow = _props.shadow;

      return _react2.default.createElement(
        'span',
        {
          className: 'jsx-516591464'
        },
        _react2.default.createElement(
          'button',
          {
            type: submit ? 'submit' : 'button',
            disabled: disabled,
            onClick: onClick,
            className: 'jsx-516591464' + ' ' + ((shadow ? type + ' shadow' : type) || '')
          },
          children
        ),
        _react2.default.createElement(_style2.default, {
          styleId: '516591464',
          css: ['button.jsx-516591464{border:none;font-size:14px;font-weight:bold;border-radius:20px;padding:10px 30px;cursor:pointer;text-transform:uppercase;outline:none;}', '.default.jsx-516591464{background:rgb(26,188,156);color:rgb(234,255,255);}', '.default.jsx-516591464:hover{background:rgb(21,147,121);-webkit-transition:all 0.75s;transition:all 0.75s;}', '.shadow.jsx-516591464{box-shadow:1px 3px 6px 1px rgba(0,0,0,0.2);}', '.primary.jsx-516591464{background-color:rgb(246,246,246);box-shadow:0px 1px 0px 0px rgba(0,0,0,0.23);color:rgb(30,182,153);}', '.primary.jsx-516591464:hover{background-color:rgb(235,235,235);-webkit-transition:all 0.75s;transition:all 0.75s;}', '.primary.shadow.jsx-516591464{box-shadow:1px 3px 6px 1px rgba(0,0,0,0.2);}', '.secondary.jsx-516591464{background:none;text-transform:inherit;color:rgb(102,102,102);}', '.secondary.jsx-516591464:hover{color:rgb(149,149,149);-webkit-transition:all 0.75s;transition:all 0.75s;}']
        })
      );
    }
  }]);

  return Button;
}(_react2.default.PureComponent);

Button.propTypes = {
  onClick: _propTypes2.default.func,
  submit: _propTypes2.default.bool,
  shadow: _propTypes2.default.bool,
  type: _propTypes2.default.oneOf(['default', 'primary', 'secondary']).isRequired,
  disabled: _propTypes2.default.bool,
  children: _propTypes2.default.node.isRequired
};

Button.defaultProps = {
  type: 'default',
  submit: false,
  shadow: false,
  disabled: false,
  onClick: null
};

exports.default = Button;